Attribute VB_Name = "Module1"
Option Explicit

Public Declare Function GetWindowText Lib "user32" _
    Alias "GetWindowTextA" ( _
    ByVal hwnd As Long, _
    ByVal lpString As String, _
    ByVal cch As Long _
    ) As Long
    
Public Declare Function FindWindow Lib "user32" _
    Alias "FindWindowA" ( _
    ByVal lpClassName As String, _
    ByVal lpWindowName As String _
    ) As Long
    
Public Declare Function SendMessage Lib "user32" _
    Alias "SendMessageA" ( _
    ByVal hwnd As Long, _
    ByVal wMsg As Long, _
    ByVal wParam As Long, _
    ByVal lParam As Long _
    ) As Long

Public DONTCHANGEBAR As Boolean

Public Const WM_COMMAND As Long = &H111&
Public Const WM_USER As Long = &H400&
Public WA_hwnd As Long

' Dies sind nur einige der vielen vorhandenen Konstanten.
' All denjenigen, welche weitere Infos bentigen, sei die Seite
' http://www.winamp.com/nsdn/winamp2x/dev/sdk/api.jhtml
' ans Herz gelegt.
' Manche der Konstanten funktionieren nur mit Winamp-Versionen
' neuer als 2.05!

'Konstanten zur Steuerung via WM_COMMAND
Public Const WA_PREV = 40044        'Previous track button
Public Const WA_NEXT = 40048        'Next track button
Public Const WA_PLAY = 40045        'Play button
Public Const WA_PAUSE = 40046       'Pause/Unpause button
Public Const WA_STOP = 40047        'Stop button
Public Const WA_FADESTOP = 40147    'Fadeout and stop
Public Const WA_STOPTRACK = 40157   'Stop after current track
Public Const WA_FFW = 40148         'Fast-forward 5 seconds
Public Const WA_FRW = 40144         'Fast-rewind 5 seconds
Public Const WA_PLSTART = 40154     'Start of playlist
Public Const WA_PLEND = 40158       'Go to end of playlist
Public Const WA_OPENFILE = 40029    'Open file dialog
Public Const WA_OPENURL = 40155     'Open URL dialog
Public Const WA_INFOBOX = 40188     'Open file info box
Public Const WA_TOGGLEEQ = 40036    'Toggle EQ
Public Const WA_TOGGLEPL = 40040    'Toggle playlist editor
Public Const WA_TOGGLEMW = 40258    'Toggle main window visible
Public Const WA_VOLINCR = 40058     'Raise volume by 1%
Public Const WA_VOLDECR = 40059     'Lower volume by 1%
Public Const WA_CLOSE = 40001       'Close Winamp
Public Const WA_AUDIOCD = 40323     'Play audio CD

'Konstanten for WM_USER

'Gibt die Versionsnummer zurck
Public Const WA_VERSION = 0

'Gibt bei wParam=0 die Spielzeit und bei wParam=1 die Tracklnge zurck
Public Const WA_TIME = 105

'Setzt die Position auf wParam in ms
Public Const WA_SEEK = 106

'Setzt die Lautstrke in wParam von 0 bis 255
Public Const WA_VOLUME = 122

'Setzt die Balance in wParam zwishcen 0 und 255. 128=Mitte
Public Const WA_PANNING = 123

'Gibt bei 0 die Sampe-, bei 1 die Bitrate und bei 2 die Channels zurck
Public Const WA_TRACKINFO = 126

'Fgt der Zeit fehlende Nullen hinzu
Function AddZeroes(strAdd As String) As String
    If Len(strAdd) = 1 Then
        AddZeroes = "0" + strAdd
    Else
        AddZeroes = strAdd
    End If
End Function

'Extrahiert den Titel das aktuellen Songs
Function GetSongName() As String
    On Error Resume Next
    
    Dim strTitle As String
    strTitle = String(2048, " ")
    
    GetWindowText WA_hwnd, strTitle, Len(strTitle)
    
    GetSongName = Left$(strTitle, InStr(strTitle, "- Winamp") - 1)
End Function
